Subject: Re: 28.0.50; process-send-string mysteriously exiting non-locally when called from timer

From: João Távora <[email-masked]>
Date: Fri, 11 Dec 2020 14:43:02 +0000

In Fri, Dec 11, 2020 at 2:40 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Stefan Monnier <[email-masked]>
> > Cc: [email-masked],  [email-masked]
> > Date: Fri, 11 Dec 2020 09:31:41 -0500
> >
> > > If currently process-send-string isn't protected against
> > > while-no-input, then perhaps we should add such a protection?
> >
> > Not just "perhaps" but "definitely".  This said, I believe it already is
> > "protected" so there's nothing we need to do (at least until we get
> > a bug report showing I'm wrong).
>
> I thought this bug report was showing just that, doesn't it?

Yes, the title is just that.  However, after digging down the
analysis I found that only a small fraction of the unexpected
quits I was getting actually happened in process-send-string.

So the title is a bit exaggerated, but it does happen.  I think
for larger strings, but not sure.

João